using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Win32;
using System.IO;

namespace FFT
{
  public class Config
  {
    public static string LastDir;
    public static string AppCaption;
    public static string AppVersion;

    public static void RegIniRead()
    {
      string str;
      string keyName = "HKEY_CURRENT_USER\\Software\\powertek\\" +
                       AppCaption + "\\" + AppVersion +
                       "\\settings";

      // directories and files
      str = (string)Registry.GetValue(keyName, "LastDir", "");
      if (Directory.Exists(str))
        LastDir = str;
    }


    public static void RegIniSave()
    {
      string keyName = "HKEY_CURRENT_USER\\Software\\powertek\\" +
                       AppCaption + "\\" + AppVersion +
                       "\\settings";

      Registry.SetValue(keyName, "LastDir", LastDir);
    }

  }
}
